Skip to main content
GET
/
moderation
/
flagged-messages
List flagged messages
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/moderation/flagged-messages \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "appId": "253626bf6512389d",
      "id": "540190",
      "conversationId": "cometchat-uid-1_user_cometchat-uid-3",
      "sender": "cometchat-uid-1",
      "receiverType": "user",
      "receiver": "cometchat-uid-3",
      "category": "message",
      "type": "text",
      "data": {
        "entities": {
          "receiver": {
            "entity": {
              "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-3.webp",
              "conversationId": "cometchat-uid-1_user_cometchat-uid-3",
              "createdAt": 1730815502,
              "lastActiveAt": 1754574851,
              "name": "Nancy",
              "role": "default",
              "status": "offline",
              "uid": "cometchat-uid-3",
              "updatedAt": 1760607558
            },
            "entityType": "user"
          },
          "sender": {
            "entity": {
              "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-1.webp",
              "createdAt": 1730815502,
              "lastActiveAt": 1761295157,
              "name": "Andrew Joseph",
              "role": "default",
              "status": "online",
              "uid": "cometchat-uid-1",
              "updatedAt": 1738833132
            },
            "entityType": "user"
          }
        },
        "metadata": {
          "@injected": {
            "extensions": {
              "link-preview": {
                "links": []
              }
            }
          }
        },
        "text": "heya man"
      },
      "sentAt": 1761295196,
      "updatedAt": 1761295196,
      "flaggedBy": [
        {
          "uid": "cometchat-uid-3",
          "name": "Nancy",
          "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-3.webp",
          "role": "default",
          "reasonId": "spam",
          "reasonName": "Spam / Unwanted Content",
          "description": "Repeated, promotional, or irrelevant content",
          "remark": "He is continously spamming me",
          "flaggedAt": 1761295210
        }
      ],
      "flaggedCount": 1
    }
  ],
  "meta": {
    "current": {
      "limit": 50,
      "count": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

limit
integer
default:50

The number of items to return per page.

Response

200 - application/json

Delete Reasons

The response is of type object.